[Prev: REVERSE] | [Resources][TOC] | [Next: SAVERESOURCES]

# RMM

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  N/A

Element

  N/A

Command-line Option

  `-rmm` msgnum ...
  `-rmm` msgnum`-`msgnum ...
  `-rmm` msg-id ...

## Description

The RMM resource is activated by the `-rmm` command-line option. When active, all non-option related arguments are treated as messages to delete from the archive. Messages can be specified by a combination of message numbers, message number ranges, or message-ids. See Examples below.

## Default Setting

N/A

## Resource Variables

N/A

## Examples

The following example specifies the messages to be deleted by individual message numbers.

    prompt> mhonarc -rmm 24 28 39 48
    Removing messages from ./maillist.html ...

    Writing mail ...
    Writing tmp/maillist.html ...
    Writing tmp/threads.html ...
    45 messages

To delete message 15 and message 20 through 35, use the following:

    prompt> mhonarc -rmm 15 20-35

In some cases, you may know the message-id of the message to delete and not the message number:

    prompt> mhonarc -rmm 199802171800.KAA27647@example.com

You can surround message-ids with `<>`'s, but you then may need to quote the arguments to prevent the shell interpreting them as I/O redirection.

The following example shows how you can intermingle the various ways of specifying messages:

    prompt> mhonarc -rmm 23-34 199802171800.KAA27647@example.com 52

## Version

1.1.0

## See Also

OUTDIR, SCAN

[Prev: REVERSE] | [Resources][TOC] | [Next: SAVERESOURCES]